Change log for spice-gtk package in Ubuntu

134 of 34 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-09-08
Deleted in cosmic-proposed (Reason: moved to release)
spice-gtk (0.35-2) unstable; urgency=medium

  * Team upload.
  * d/p/0002-quic-Prevent-side-effects-calling-C-macros.patch: Fix the usage
    of byte swap macro, that should fix the FTBFS on bigendian architectures

 -- Laurent Bigonville <email address hidden>  Sat, 08 Sep 2018 07:32:35 +0200

Available diffs

Superseded in cosmic-proposed on 2018-09-08
spice-gtk (0.35-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.35
    - Fix Integer overflows causing buffer overflows in spice-client (Closes:
      #898503 CVE-2017-12194)
  * debian/control: Update the Vcs-* fields to point to salsa
  * debian/control: Bump build-dependencies
  * Drop build-dependency against libgudev-1.0-dev, this is not needed with
    libusb-1.0-0-dev >= 1.0.16, bump libusb-1.0-0-dev version accordlingly
    (Closes: #876089)
  * Drop d/p/explicitly-enable-subdir-objects.patch, doesn't seem needed anymore
  * debian/rules: Remove --parallel and --with autoreconf, it's the default
    with debhelper 10
  * The libspice-controller library was removed upstream. Add a Breaks against
    virt-viewer (<< 7.0), which is the only user of that library. (Closes:
    #857367)
  * debian/libspice-client-glib-2.0-8.symbols: Add new exported symbols
  * debian/watch: Use https instead of plain http
  * debian/control: Drop X-Python-Version to please lintian
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * d/p/0001-Fix-flexible-array-buffer-overflow.patch: Fix possible buffer
    overflow and denial of service (CVE-2018-10873) (Closes: #906316)

 -- Laurent Bigonville <email address hidden>  Tue, 04 Sep 2018 10:46:38 +0200

Available diffs

Superseded in cosmic-release on 2018-09-08
Deleted in cosmic-proposed on 2018-09-09 (Reason: moved to release)
spice-gtk (0.34-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop leftover Build-Depends on python-gtk2-dev (Closes: #885526)

 -- Jeremy Bicha <email address hidden>  Sun, 13 May 2018 20:30:26 -0400
Superseded in cosmic-release on 2018-08-31
Published in bionic-release on 2018-02-08
Deleted in bionic-proposed (Reason: moved to release)
spice-gtk (0.34-1.1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <email address hidden>  Mon, 05 Feb 2018 23:28:34 +0000
Superseded in bionic-release on 2018-02-08
Deleted in bionic-proposed on 2018-02-10 (Reason: moved to release)
spice-gtk (0.34-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Call the gir sequence so the gir1.2-* packages have the
    correct dependencies defined. (Closes: #873598)
  * Make the gir1.2-* packages Multi-Arch: same
  * Add Breaks to force the uninstallation of the old gir1.2-* packages

 -- Laurent Bigonville <email address hidden>  Wed, 30 Aug 2017 14:45:42 +0200

Available diffs

Superseded in bionic-release on 2017-11-03
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
spice-gtk (0.33-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: delete generated files to ensure they're re-generated
    from source (Closes: #797855).
  * Replace OpenSSL 1.1 compatibility patch with the version applied
    upstream (Closes: #851127).
  * debian/copyright: fix empty short license field (spotted by Lintian).

 -- intrigeri <email address hidden>  Sat, 14 Jan 2017 11:34:36 +0000

Available diffs

Superseded in zesty-release on 2017-01-15
Deleted in zesty-proposed on 2017-01-16 (Reason: moved to release)
spice-gtk (0.33-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian_843471-clipboard_Fix_crash_by_handling_error.patch:
    new patch, cherry-picked from upstream (Closes: #843471).

 -- intrigeri <email address hidden>  Sun, 25 Dec 2016 08:30:43 +0000

Available diffs

Superseded in zesty-release on 2016-12-30
Deleted in zesty-proposed on 2017-01-01 (Reason: moved to release)
spice-gtk (0.33-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with OpenSSL 1.1, patch by Sebastian Andrzej Siewior (Closes:
    #828554).

 -- Andrey Rahmatullin <email address hidden>  Sat, 10 Dec 2016 20:06:07 +0500

Available diffs

Superseded in zesty-release on 2016-12-16
Deleted in zesty-proposed on 2016-12-17 (Reason: moved to release)
spice-gtk (0.33-3) unstable; urgency=medium

  * debian/control:
    - Add gstreamer1.0-tools, gstreamer1.0-libav and gstreamer1.0-plugins-*
      to Build-Depends (Closes: #841932)
    - Add gstreamer1.0-libav and gstreamer1.0-plugins-* to 
      libspice-client-glib-2.0-8 Depends
  * debian/rules
    - Remove dh_strip on python-spice-client-gtk, package already removed
  * Install missed docs

 -- Liang Guo <email address hidden>  Tue, 25 Oct 2016 10:00:32 +0800

Available diffs

Superseded in zesty-release on 2016-11-03
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
spice-gtk (0.32-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * debian/control:
    - Update Build-Depends libglib2.0-dev and libspice-protocol-dev 
      version required
    - Remove Build-Depends on libgtk2.0-dev 
    - Bump Standards-Version to 3.9.8 (no changes)
    - Use secure uri in vcs-*
  * Remove libspice-client-gtk-2.0-* and python-spice-client-gtk,  
    upstream don't support gtk2 anymore
  * Refresh explicitly-enable-subdir-objects.patch
  * Bump SONAME and package name of libspice-client-gtk-3.0

 -- Liang Guo <email address hidden>  Fri, 01 Jul 2016 19:32:58 +0800

Available diffs

Superseded in yakkety-release on 2016-08-08
Published in xenial-release on 2015-12-25
Deleted in xenial-proposed (Reason: moved to release)
spice-gtk (0.30-1) unstable; urgency=low

  * New upstream release (Closes: #806294, #808504)
  * Enable python checks
  * Update debian/copyright, remove license about upstream
    removed files
  * Spice-protocol is splited to sperate package, add build-depends on 
    libspice-protocol-dev
  * Refresh debian/patches/explicitly-enable-subdir-objects.patch
  * Refresh libspice-client-glib-2.0-8.symbols
  * switch to automatic dbgsym package.

 -- Liang Guo <email address hidden>  Fri, 25 Dec 2015 14:47:11 +0800

Available diffs

Superseded in xenial-release on 2015-12-25
Deleted in xenial-proposed on 2015-12-28 (Reason: moved to release)
spice-gtk (0.29-1) unstable; urgency=medium

  * New upstream release
  * Update explicitly-enable-subdir-objects.patch, source directory changed from
    gtk to src
  * Update debian/copyright, source directory changed from gtk to src

 -- Liang Guo <email address hidden>  Sat, 29 Aug 2015 11:44:44 +0800

Available diffs

Superseded in xenial-release on 2015-11-26
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
spice-gtk (0.28-1ubuntu1) wily; urgency=medium

  * debian/control: don't make glib-dev depends on libspice-server-dev,
    it's not needed and not available on some architecture which makes
    the binary not installable (http://bugs.debian.org/792407)

 -- Sebastien Bacher <email address hidden>  Thu, 23 Jul 2015 15:16:00 +0200
Superseded in wily-proposed on 2015-07-23
spice-gtk (0.28-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright
  * Add build-depends on gtk-doc
  * Enable LZ4 support
  * Update libspice-client-glib-2.0-8.symbols
  * Update spice-client-glib-usb-acl-helper description
  * Added spice-gtk-dbg package (Closes:783463)

 -- Liang Guo <email address hidden>  Sat, 25 Apr 2015 14:29:58 +0800
Superseded in wily-release on 2015-07-23
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
spice-gtk (0.25-1build1) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.
 -- Brian Murray <email address hidden>   Mon, 15 Dec 2014 08:14:07 -0800

Available diffs

Superseded in vivid-release on 2014-12-15
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
spice-gtk (0.25-1) unstable; urgency=medium


  * New upstream release
  * Refresh debian/copyright, new file added
  * debian/patches:
    - - remove-srcdir-or-top-srcdir-in-makefile-am.patch, refresh
    - explicitly-enable-subdir-objects.patch, refresh
    - do-not-build-tests.patch, remove, upstream provide option to 
      disable tests build
  * Add build-depends on libsoup2.4-dev
  * Refresh libspice-client-glib-2.0-8.symbols

 -- Liang Guo <email address hidden>  Wed, 25 Jun 2014 07:53:38 +0800

Available diffs

Superseded in utopic-release on 2014-07-05
Deleted in utopic-proposed on 2014-07-06 (Reason: moved to release)
spice-gtk (0.23-1) unstable; urgency=low


  * New upstream release
  * Refresh debian/copyright, new file added
  * debian/patches:
    - make-celt-to-be-optional.patch, remove, upstream
      have similar patch
    - remove-srcdir-or-top-srcdir-in-makefile-am.patch, refresh
  * Enable opus

 -- Liang Guo <email address hidden>  Sun, 16 Feb 2014 21:05:01 +0800

Available diffs

Superseded in utopic-release on 2014-04-27
Published in trusty-release on 2014-02-06
Deleted in trusty-proposed (Reason: moved to release)
spice-gtk (0.22-0nocelt2) unstable; urgency=medium


  * Enable dbus support (Closes: 737663)
  * Remove build-depends on libspice-protocol-dev
    and libspice-server-dev, not needed.
  * Add build-depends on libssl-dev

 -- Liang Guo <email address hidden>  Wed, 05 Feb 2014 11:50:40 +0800

Available diffs

Superseded in trusty-release on 2014-02-06
Deleted in trusty-proposed on 2014-02-07 (Reason: moved to release)
spice-gtk (0.22-0nocelt1) unstable; urgency=low


  * New upstream release 
  * Bump Standards-Version to 3.9.5 (no changes)
  * debian/patches:
    - make-celt-to-be-optional.patch, refresh
    - explicitly-enable-subdir-objects.patch, refresh
    - remove-srcdir-or-top-srcdir-in-makefile-am.patch, refresh
    - fix-usbredir-being-broken-since-commit-159c6ebf.patch, remove,
      applied upstream
    - palette-regression.patch, remove, applied upstream
    - do-not-build-tests.patch, add
  * Refresh *.symbols

 -- Liang Guo <email address hidden>  Sun, 19 Jan 2014 10:59:06 +0800

Available diffs

Superseded in trusty-release on 2014-01-19
Deleted in trusty-proposed on 2014-01-20 (Reason: moved to release)
spice-gtk (0.21-0nocelt3) unstable; urgency=low


  * debian/atches:
    - palette-regression.patch, add, (Closes: 727707)

 -- Liang Guo <email address hidden>  Sat, 09 Nov 2013 00:18:33 +0800

Available diffs

Superseded in trusty-release on 2013-11-08
Deleted in trusty-proposed on 2013-11-10 (Reason: moved to release)
spice-gtk (0.21-0nocelt2) unstable; urgency=low


  * debian/patches:
    - fix-usbredir-being-broken-since-commit-159c6ebf.patch, 
      add, (Closes:  726292)

 -- Liang Guo <email address hidden>  Fri, 18 Oct 2013 17:40:05 +0800

Available diffs

Superseded in trusty-release on 2013-10-23
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
spice-gtk (0.20-0nocelt3) unstable; urgency=low


  * set spice-client-glib-usb-acl-helper replaces
    libspice-client-glib-2.0-8 too (Closes: #718962)

 -- Liang Guo <email address hidden>  Thu, 08 Aug 2013 00:18:19 +0800

Available diffs

Superseded in saucy-release on 2013-08-08
Deleted in saucy-proposed on 2013-08-09 (Reason: moved to release)
spice-gtk (0.19-0nocelt3) unstable; urgency=low


  * Switch from valac-0.18 to valac (>= 0.18) (Closes: #709036)

 -- Liang Guo <email address hidden>  Sun, 26 May 2013 13:10:16 +0800

Available diffs

Superseded in saucy-release on 2013-05-28
Deleted in saucy-proposed on 2013-05-29 (Reason: moved to release)
spice-gtk (0.19-0nocelt2) unstable; urgency=low


  * Upload to unstable
  * Remove clearenv-in-usb-acl-helper.patch, applied upstream
  * Switch from valac-0.16 to valac-0.18 (Closes: #707464)

 -- Liang Guo <email address hidden>  Sun, 12 May 2013 18:54:51 +0800

Available diffs

Superseded in saucy-release on 2013-05-13
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
spice-gtk (0.18-0nocelt1exp) experimental; urgency=low


  * New upstream release (Closes: #700562)
  * Refresh debian/patches/make-celt-to-be-optional.patch
  * Refresh debian/libspice-client-glib-2.0-8.symbols

 -- Liang Guo <email address hidden>  Sat, 02 Mar 2013 08:34:12 +0800

Available diffs

Superseded in raring-release on 2013-03-02
Deleted in raring-proposed on 2013-03-03 (Reason: moved to release)
spice-gtk (0.14-1) experimental; urgency=low


  * New upstream release
  * debian/patches:
    - Refresh make-celt-to-be-optional.patch
  * Refresh debian/*.symbols
  
 -- Liang Guo <email address hidden>  Wed, 10 Oct 2012 12:44:10 +0800
Superseded in raring-release on 2012-11-04
Obsolete in quantal-release on 2015-04-24
spice-gtk (0.12.101-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/patches:
    - fix-parsing-uri-query.patch: Dropped, applied in new version
    - fix-spice-audio-binding.patch: Dropped, applied in new version
    - make-celt-to-be-optional.patch: Refreshed
 -- Jeremy Bicha <email address hidden>   Tue, 07 Aug 2012 08:37:57 -0400
Superseded in quantal-release on 2012-08-07
spice-gtk (0.12-4) unstable; urgency=low


  * Correct version problem in *.pc (Closes: #680290)

 -- Liang Guo <email address hidden>  Mon, 09 Jul 2012 00:36:14 +0800

Available diffs

Superseded in quantal-release on 2012-07-10
spice-gtk (0.12-3) unstable; urgency=low


  * Add patch make-celt-to-be-optional.patch
  * Disable celt

 -- Liang Guo <email address hidden>  Fri, 29 Jun 2012 01:37:37 +0800

Available diffs

Superseded in quantal-release on 2012-06-29
spice-gtk (0.12-2) unstable; urgency=low


  * Enable usb redirect (Closes: #677662)
  * Switch to vala 0.16 (Closes: #675665)
  * Enable multiarch for libspice-client-glib-2.0-1, 
    libspice-client-gtk-2.0-1, libspice-client-gtk-3.0-1
  * Build with hardening flags

 -- Liang Guo <email address hidden>  Fri, 25 May 2012 21:52:45 +0800

Available diffs

Superseded in quantal-release on 2012-06-24
spice-gtk (0.12-1) unstable; urgency=low


  * New upstream release
  * Update debian/copyright, file moved
    - common -> spice-common/common
    - spice-protocol -> spice-common/spice-protocol
  * debian/patches:
    - Refresh debian/patches/remove-libjpeg-turbo-warning.patch
    - Add fix-parsing-uri-query.patch
    - Add fix-spice-audio-binding.patch
  * Refresh debian/libspice-client-glib-2.0-1.symbols, new function added

 -- Liang Guo <email address hidden>  Thu, 03 May 2012 09:45:49 +0800

Available diffs

Superseded in quantal-release on 2012-05-24
Published in precise-release on 2012-02-15
spice-gtk (0.9-0ubuntu1) precise; urgency=low

  [ Jeremy Bicha ]
  * Pulled from Debian git repository
  * New upstream release.
    - add USB redirection support, see Hans comments in the log and that
      post for details: http://hansdegoede.livejournal.com/11084.html
    - introduce SpiceGtkSession to deal with session-wide Gtk events, such
      as clipboard, instead of doing it per display
    - many cursor and keyboard handling improvements
    - handle the new "semi-seamless" migration
    - support new Spice mini-headers
    - better coroutines: fibers on windows & jmp on linux
    - add Vala vapi bindings generation
    - Add command line options for setting the cache size and the glz
      window size
    - Add a USB device selection widget to libspice-client-gtk
    - many bug fixes and code improvements
  * Update symbols and bump libspice-client-glib-2.0 soname back to 1
  * Enable vala bindings
  * debian/control:
    - Build-depend on libusb-1.0, libgudev, valac and libvala-dev
    - Bump build-depends on spice-protocol to 0.10.1
  * debian/rules: Disable usbredir support since the library isn't in
    Debian yet

  [ Liang Guo ]
  * debian/copyright:
    - Add gtk/coroutine_winfibers.c
    - Add gtk/spice-client-glib-usb-acl-helper.c
    - Remove common/win/my_getopt-1.5/*, not in upstream any more
  * debian/rules:
    - Remove vapi/Makefile in clean target
  * debian/control:
    - Replace libspice-client-glib-2.0-4 with libspice-client-glib-2.0-1
 -- Jeremy Bicha <email address hidden>   Mon, 13 Feb 2012 18:06:18 -0500

Available diffs

Superseded in precise-release on 2012-02-15
spice-gtk (0.7-3) unstable; urgency=low

  * Enable introspection support
  * Don't lock into particular python version (Closes: #639936)
  * Add libpixman-1-dev, libspice-server-dev, libspice-protocol-dev
    and libssl-dev to libspice-client-glib-2.0-dev Depends (Closes: #640138)
  * Add libgtk2.0-dev and libspice-client-glib-2.0-dev to 
    libspice-client-gtk-2.0-dev Depends
  * Add libgtk-3-dev and libspice-client-glib-2.0-dev to 
    libspice-client-gtk-3.0-dev Depends (Closes: #640136)
  * Update debian/copyright fix some lintian warning
  * Use dh_python2 to handle python module (Closes: #644090)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  22 Oct 2011 14:41:14 +0000

Available diffs

Superseded in precise-release on 2011-10-22
spice-gtk (0.7-2) unstable; urgency=low

  * Rename snappy to spicy-snapshot (Closes: #637983)
  * Remove spice-protocol.vapi from libspice-client-gtk-2.0-dev 
    (Closes: #637982)
  * Check only versions start with number, ignore spice-gtk-LATEST.tar.bz2

134 of 34 results